#471 extend the possible usages of [argument]

GREEN
closed-accepted
None
5(default)
2014-01-05
2013-08-28
No

Following a hint from Martin Holmes on the TEI list (cf. thread on abstract in header), I would suggest to offer more possibilities to use [argument] in meta-data description, namely teiHeader (somewhere in profileDesc), bilStruct (probably as a direct child, sibling of analytic and cie.) and biblFull (don't ask me but this is my current use case (HAL export for those who are interested) => ideally, I would like to have profileDes, with the added argument, there, but fear you would want another ticket).

Discussion

  • James Cummings

    James Cummings - 2013-11-09

    More discussion from Council needed, leaving as AMBER for now. I'm not against this idea but have always assumed argument was for a very different kind of thing.

     
  • Lou Burnard

    Lou Burnard - 2013-11-10

    I think we need some examples. <argument> is in my opinion intended just for a kind of summary of the topics treated in a section which is actually present in the source, and is formally presented as something distinct from the text. It's like &ltdocTitle> is not the same as <title>. It's not intended for abstracts of journal articles, though I can se;e why you might like to use it for them.

     
  • James Cummings

    James Cummings - 2013-11-11
    • assigned_to: Lou Burnard
    • Group: AMBER --> GREEN
     
  • James Cummings

    James Cummings - 2013-11-11

    Assigned to Lou. Create element 'abstract' as discussed at Council 2013-11

     
  • Lou Burnard

    Lou Burnard - 2013-11-12

    Added new element, and made space to discuss examples in HD. Leaving ticket open till Martin has supplied examples

     
  • Martin Holmes

    Martin Holmes - 2013-11-12

    Here's one of several hundred I can supply:

    http://bcgenesis.uvic.ca/getDoc.htm?id=V465HB01.scx

    Click on "XML" top left to see the source code. The abstract is encoded in a series of note elements in notesStmt. Each different topic gets its own note element, but I think they probably ought to be in list/item structure.

     
  • Laurent Romary

    Laurent Romary - 2013-11-12

    And mine is to make a full representation of an entry in HAL (e.g. http://hal.inria.fr/hal-00762664) using biblFull
    Abstracts are systematically part of the entry.

     
  • Lou Burnard

    Lou Burnard - 2013-11-12

    Apologies, Laurent, I don't understand your comment. There's a biblStruct on that web page (within a doubly-nested listBibl for some reason) but no biblFull, and no one is suggesting that the new abstract element should go inside a bibl anyway. I can use the paragraph labelled "Resume" on that web page as an example however.

     
  • Lou Burnard

    Lou Burnard - 2013-11-12
     
  • Lou Burnard

    Lou Burnard - 2013-11-12

    Closing the ticket for now, having added examples. More better examples needed.

     
  • Laurent Romary

    Laurent Romary - 2013-11-12

    Don’t look at the export. Look at the thing. I am finalizing with the CCSD the future interchange format for HAL, based on the TEI.

    Le 12 nov. 2013 à 15:50, Lou Burnard louburnard@users.sf.net a écrit :

    Apologies, Laurent, I don't understand your comment. There's a biblStruct on that web page (within a doubly-nested listBibl for some reason) but no biblFull, and no one is suggesting that the new abstract element should go inside a bibl anyway. I can use the paragraph labelled "Resume" on that web page as an example however.
    [feature-requests:#471] extend the possible usages of [argument]

    Status: open
    Created: Wed Aug 28, 2013 09:55 AM UTC by Laurent Romary
    Last Updated: Tue Nov 12, 2013 02:20 PM UTC
    Owner: Lou Burnard

    Following a hint from Martin Holmes on the TEI list (cf. thread on abstract in header), I would suggest to offer more possibilities to use [argument] in meta-data description, namely teiHeader (somewhere in profileDesc), bilStruct (probably as a direct child, sibling of analytic and cie.) and biblFull (don't ask me but this is my current use case (HAL export for those who are interested) => ideally, I would like to have profileDes, with the added argument, there, but fear you would want another ticket).

    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/tei/feature-requests/471/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

    Laurent Romary
    INRIA & HUB-IDSL
    laurent.romary@inria.fr

     
  • Laurent Romary

    Laurent Romary - 2013-11-13

    So you confirm that [abstract] will be in profileDesc? It should have a minimal structure (div) since many abstract are organized in small sub sections, for instance in biology.

     
  • Martin Holmes

    Martin Holmes - 2013-11-27

    Added a fourth example to the HD chapter at rev 12666.

     
  • Lou Burnard

    Lou Burnard - 2014-01-05
    • status: open --> closed-accepted
     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks